SolrQuery::setFacetLimit
SolrQuery::setFacetMinCount
SolrQuery
PHP Manual

# SolrQuery::setFacetMethod

(PECL solr >= 0.9.2)

SolrQuery::setFacetMethod — Specifies the type of algorithm to use when faceting a field

### 説明

public SolrQuery SolrQuery::setFacetMethod ( string `$method` [, string `$field_override` ] )

Specifies the type of algorithm to use when faceting a field. This method accepts optional field override.

### パラメータ

`method`

  The method to use.

`field_override`

  The name of the field.

### 返り値

Returns the current SolrQuery object, if the return value is used.

SolrQuery::setFacetLimit
SolrQuery::setFacetMinCount
SolrQuery
PHP Manual